'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgPie = function SvgPie(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Pie_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M1.686 38.531c-.445 0-.873.177-1.188.493A1.7 1.7 0 0 0 0 40.215v4.457c.004.447.184.874.5 1.188.315.314.742.49 1.186.49h2.643L6.612 61.47c.025.146.1.28.211.377A.68.68 0 0 0 7.23 62h65.571a.66.66 0 0 0 .407-.154.62.62 0 0 0 .212-.377l2.257-15.118h2.642c.444 0 .87-.177 1.185-.491.315-.315.493-.742.496-1.188v-4.457a1.7 1.7 0 0 0-.504-1.192 1.7 1.7 0 0 0-1.193-.492H73.51v-.117c-.35-2.948-1.644-10.04-6.02-12.19l-14.012-5.982a41.73 41.73 0 0 0-26.987 0l-14.06 6.002c-3.002 1.477-5.02 5.536-5.993 12.043l-.037.244zm70.576 22.226H7.712L5.596 46.383h68.87zM1.686 45.107a.42.42 0 0 1-.296-.127.42.42 0 0 1-.127-.287V40.2a.437.437 0 0 1 .413-.425h76.611a.43.43 0 0 1 .423.415v4.499a.432.432 0 0 1-.418.414zm70.476-6.576H7.748v-.148c1.058-7.496 3.415-10.125 5.206-11.012l14.017-5.982a40.3 40.3 0 0 1 25.899 0l14.038 5.966c2.6 1.285 4.408 5.1 5.243 11.028zm-32.738-7.835h1.258v-5.843h-1.258zm7.505-5.955 5.111 5.094.883-.892-5.1-5.1zm-19.804 4.197.888.839 5.1-5.036-.893-.898z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Pie_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgPie;
